<!--
	jimu_kanri_login_id.php
	団員ログインID管理画面
	author: Kiho Murakami
	history: 
		2008/01/04 村上 第1版作成
-->
<!--ライブラリ-->
<?php
	include './jimu_login_check.php';
	include './jimu_kanri_show_function.php';
?>
<!--入力-->
<?php
	$entry_button = $_POST["entry"];
	$new_staff = $_POST["staff"];
	$new_login_id = $_POST["login_id"];
	$new_password = $new_login_id; //パスワードの初期設定はログインIDと同一

	$delete_button = $_POST["del_button"];
	$delete_num = $_REQUEST["delete"];

	$reset_button = $_POST["re_button"];

?>

<?php set_header("個人ID管理ページ"); ?>
<?php set_quicklink(); ?>

<!--処理-->
<?php
//ログイン認証
	$flag=login_check();
	if(!$flag){
		login_error();
	}

//----------------------------------------------------------------------------//
//　IDの登録処理：エラーチェック
//----------------------------------------------------------------------------//
if($entry_button == "追加"){

//エラー（１）空欄
	if(!strlen($new_staff) || !strlen($new_login_id)){
		$entry_error_msg[] = "空欄があります。<br>\n";

//エラー（２）半角英数か？
	}else if(!preg_match("/^[a-zA-Z0-9]{2,10}$/", $new_login_id)){
		$entry_error_msg[] = "IDは２文字以上１０文字以内、半角英数字のみ有効です。<br><br>\n";
	}

//エラー（３）同姓・同IDが既に登録されていないか
	$fileName = "user_pass.csv";
	$file = fopen($fileName, "r");
	
	while($line = fgetcsv($file, 1000, ",")){
		list($staff, $login_id, $password) = $line;
	 		if($staff == $new_staff){
				$entry_error_msg[] = "その担当者は既に登録されています。<br>\n";
			}
			if($login_id==$new_login_id){
				$entry_error_msg[] = "そのIDは既に登録されています。<br>\n";
			}
	}
	fclose($file);

//エラー（４）カンマを使おうとした
	if(preg_match("/,/",$new_staff)){
		$entry_error_msg[] = "記号“,”(カンマ)は使用できません<br>\n";
	}

//エラー（５）スペースがある
	if(preg_match("/ /",$new_staff)){
		$entry_error_msg[] = "スペースは使用できません<br>\n";
	}else if(preg_match("/　/",$new_staff)){
		$entry_error_msg[] = "スペースは使用できません<br>\n";
	}


}

//----------------------------------------------------------------------------//
//　ID登録処理
//----------------------------------------------------------------------------//

//エラーがなければ登録
if($entry_button == "追加" && count($entry_error_msg) == 0){

	$dataFile = "user_pass.csv";

		$file = fopen($dataFile,"a") or die("220:　OPEN ERROR $fileName");
		flock($file, LOCK_EX);

		$posted = compact("new_staff", "new_login_id", "new_password");
		$data = implode(",", $posted);

		fputs($file, $data."\n");

		flock($file, LOCK_UN);
		fclose($file);


	$new_ticket_File = "./ticket/".$new_login_id.".csv";
	$new_ticket_File_tmp = "./ticket/".$new_login_id."_tmp.csv";

	touch("$new_ticket_File");
	touch("$new_ticket_File_tmp");


}

//----------------------------------------------------------------------------//
//　IDの削除処理：エラーチェック
//----------------------------------------------------------------------------//
if($delete_button == "チェックをつけたIDを削除"){

//エラー（１）選択がない
	if($delete_num == null) {
		$del_error_msg[] = "消去する項目を選択して下さい<br>\n";

	}else{

		$fileName = "user_pass.csv";

		for($i=0; $i < sizeof($delete_num); $i++) {
			$file = fopen($fileName, "r");
			$count = 0;

			while($line = fgetcsv($file, 1000, ",")) {
				if ($count == $delete_num[$i]) {
					list($staff, $login_id, $password) = $line;

//エラー（２）事務員用のIDを消そうとした
					if($staff=="事務"){
						$del_error_msg[] = "事務員用のIDは消去できません。<br>\n";
					}

//エラー（３）既にデータのあるファイルを選択した
					$del_fileName = "./ticket/".$login_id.".csv";

					if(filesize($del_fileName)!=0){
						$del_error_msg[] = $staff."のファイルはデータがあるので消去できません。<br>\n";
					}
				}
				$count++;
			}

		fclose($file);
		}
	}

}

//----------------------------------------------------------------------------//
//　IDの削除処理
//----------------------------------------------------------------------------//

if($delete_button == "チェックをつけたIDを削除" && count($del_error_msg) == 0){


	// 選択内容を削除し、ファイルを書き換える
		$file = file("user_pass.csv");
		$new_file = "user_pass_tmp.csv";
		$old_file = "user_pass.csv";


	//予約用の個人CSVを削除する

		for($i=0; $i < sizeof($delete_num); $i++) {
			$older_file = fopen($old_file, "r");
			$count = 0;

			while($line = fgetcsv($older_file, 1000, ",")) {
				if ($count == $delete_num[$i]) {
					list($staff, $login_id, $password) = $line;
					$delete_fileName = "./ticket/".$login_id.".csv";
					$delete_fileName_tmp = "./ticket/".$login_id."_tmp.csv";
					unlink($delete_fileName);
					unlink($delete_fileName_tmp);

					$del_complete_msg[]=$staff."のIDを削除しました。<br>\n";
				}
				$count++;
			}

		fclose($older_file);
		}


	//IDを消す

		for($i=0; $i < sizeof($delete_num); $i++) {
			unset($file[$delete_num[$i]]);
		}

		$fp = fopen("$new_file", "w");
		flock($fp, LOCK_EX);
		foreach ($file as $line) { 
	  		fwrite($fp, $line); 
		}

	// ファイルを閉じる
		flock($fp, LOCK_UN);
		fclose($fp);


	// 新しいファイルの内容を古いファイルに写す
		unlink("$old_file");
		touch("$old_file");
		copy("$new_file", "$old_file");

$delete_button = "";

}


//----------------------------------------------------------------------------//
//　パスリセット：エラーチェック
//----------------------------------------------------------------------------//

if($reset_button == "チェックをつけたIDのパスワードをIDと同じ値に戻す"){

//エラー（１）選択がない
	if($delete_num == null) {
		$reset_error_msg[] = "リセットする項目を選択して下さい<br>\n";

	}
}

//----------------------------------------------------------------------------//
//　パスリセット
//----------------------------------------------------------------------------//

if($reset_button == "チェックをつけたIDのパスワードをIDと同じ値に戻す" && count($reset_error_msg) == 0){

	// 選択内容を削除し、ファイルを書き換える
		$file = file("user_pass.csv");
		$new_file = "user_pass_tmp.csv";
		$old_file = "user_pass.csv";


	for($i=0; $i < sizeof($delete_num); $i++) {
		$count = 0;
		$fp_old = fopen($old_file, "r");

		while($line = fgetcsv($fp_old, 1000, ",")) {
			if ($count == $delete_num[$i]) {
				list($staff, $login_id, $password) = $line;
				$reset_staff[]=$staff;
				$reset_login_id[]=$login_id;
			}
			$count++;
		}
		fclose($fp_old);
	}

	$fp_old = fopen($old_file, "r");
	$fp_new = fopen($new_file, "w");
	flock($fp_new, LOCK_EX); // ファイルロック

	while($line = fgetcsv($fp_old, 1000, ",")) {
		list($staff, $login_id, $password) = $line;
		for($i=0 ;$i<count($reset_staff) ;$i++){
			if($staff==$reset_staff[$i]){
					$reset_complete_msg[] = $staff."のパスワードを初期値に変更しました<br>\n";

					$login_id=$reset_login_id[$i];
					$password=$reset_login_id[$i];
			}
		}
			$posted = compact("staff", "login_id", "password");
			$data = implode(",", $posted);
			fputs($fp_new, $data."\n");

	}

	flock($fp_new, LOCK_UN); // ロック解除
	fclose($fp_new);
	fclose($fp_old);


	// 新しいファイルの内容を古いファイルに写す
		unlink("$old_file");
		touch("$old_file");
		copy("$new_file", "$old_file");

$reset_button = "";


}

?>



<!--出力-->

<center>
<h2>個人ＩＤ管理ページ</h2>
<h3>●新しく登録する●</h3>

<?php
//--------------------------------------------------------------------------//
//　　登録フォーム
//--------------------------------------------------------------------------//;?>

	<form method="post" action="jimu_kanri_login_id.php">
		<table align="center"><tr>
			<td align="center">ex:　村上</td><td align="center">mura</td></tr>
			<tr><td>団員名：<input name="staff" type="text" size="15"></td>
			<td>ＩＤ：<input name="login_id" type="text" size="15"></td></tr>
		</table><br>
		<span class=mini>初期パスワードはIDと同様になります。</span><br><br>

		<input type="submit" name="entry" value="追加"><br>
	</form><br>

<?php
//--------------------------------------------------------------------------//
//　　登録エラー
//--------------------------------------------------------------------------//

if(count($entry_error_msg) != 0){
	for($i = 0; $i < count($entry_error_msg); $i++) {
		print "<span class=error>　".$entry_error_msg[$i]."</span><br>\n";
	}
}

	print "<br><br><br>\n";


//--------------------------------------------------------------------------//
//　　登録内容の一覧表示
//--------------------------------------------------------------------------//


//表示させる
print "<form method=\"post\" action=\"jimu_kanri_login_id.php#list\">\n";

	//表示作業

	print "<a name =\"list\"><h3>●登録済みID一覧●</h3></a><br>\n";

	$fileName = "user_pass.csv";
	$file = fopen($fileName, "r");

	print "<table border=\"1\">\n";
	print "<tr><th></th><th>団員名</th><th>ID</th></tr>\n";

	$i=0;
	while($line = fgetcsv($file, 1000, ",")){
		list($staff, $login_id, $password) = $line;

		print "<tr><td><input type=\"checkbox\" name=\"delete[]\" value=$i></td>\n";
		print "<td>$staff</td><td>$login_id</td></tr>\n";

		$i++;
	}

	print "</table>\n";

	fclose($file);

	print "<br><br>\n";


//削除用ボタン
	print "<input type=\"submit\" name =\"del_button\" value=\"チェックをつけたIDを削除\"><br><br>\n";

	print "<font color=\"indianred\"><b><span class=mini>↓パスワードを忘れた時に…強制変更します↓</span></b></font><br>\n";
	print "<input type=\"submit\" name =\"re_button\" value=\"チェックをつけたIDのパスワードをIDと同じ値に戻す\"><br><br>\n";

print "</form>\n";


//--------------------------------------------------------------------------//
//　　削除・リセットエラー
//--------------------------------------------------------------------------//

if(count($del_error_msg) != 0){
	for($i = 0; $i < count($del_error_msg); $i++) {
		print "<span class=error>　".$del_error_msg[$i]."</span><br>\n";
	}
}
if(count($reset_error_msg) != 0){
	for($i = 0; $i < count($reset_error_msg); $i++) {
		print "<span class=error>　".$reset_error_msg[$i]."</span><br>\n";
	}
}

//--------------------------------------------------------------------------//
//　　削除・リセット完了メッセージ
//--------------------------------------------------------------------------//

if(count($del_complete_msg) != 0){
	for($i = 0; $i < count($del_complete_msg); $i++) {
		print "<span class=error>　".$del_complete_msg[$i]."</span><br>\n";
	}
}
if(count($reset_complete_msg) != 0){
	for($i = 0; $i < count($reset_complete_msg); $i++) {
		print "<span class=error>　".$reset_complete_msg[$i]."</span><br>\n";
	}
}


?>


<br><br>
●<a href="jimu_kanri.php">劇団管理トップページへ戻る</a><br><br>

</body>
</html>