<?php setcookie("title", $_POST["title"], time()+3600); ?>
<?php setcookie("stage_count", $_POST["stage_count"], time()+3600); ?>
<?php setcookie("price1", $_POST["price1"], time()+3600); ?>
<?php setcookie("price2", $_POST["price2"], time()+3600); ?>

<!--
	jimu_kouen_kakunin.php
	事務員公演作成確認画面
	author: Kiho Murakami
	history: 
		2008/01/04 村上 第1版作成
-->
<!--ライブラリ-->
<?php
	include './jimu_login_check.php';
	include './jimu_kanri_show_function.php';
?>
<!--入力-->
<?php
	$title = $_POST["title"];
	$stage_count = $_POST["stage_count"];

	for($i=0; $i<$stage_count; $i++){

			$stage_year[$i] = $_POST["stage_year$i"];
			$stage_month[$i] = $_POST["stage_month$i"];
			$stage_day[$i] = $_POST["stage_day$i"];
			$stage_hour[$i] = $_POST["stage_hour$i"];
			$stage_minutes[$i] = $_POST["stage_minutes$i"];

			if(strlen($stage_year[$i])==1){
				$stage_year[$i] = "0".$stage_year[$i];
			}
			if(strlen($stage_month[$i])==1){
				$stage_month[$i] = "0".$stage_month[$i];
			}
			if(strlen($stage_day[$i])==1){
				$stage_day[$i] = "0".$stage_day[$i];
			}
			if(strlen($stage_hour[$i])==1){
				$stage_hour[$i] = "0".$stage_hour[$i];
			}
			if(strlen($stage_minutes[$i])==1){
				$stage_minutes[$i] = "0".$stage_minutes[$i];
			}
	}

	$price1 = $_POST["price1"];
	$price2 = $_POST["price2"];

	if($price1==$price2){
		$price2 = "";
	}
	$syoutai = $_REQUEST["syoutai"];
	$sonota = $_REQUEST["sonota"];
?>


<?php set_header("新規公演登録ページ"); ?>

<!--処理-->

<?php
//ログイン認証
	$flag=login_check();
	if(!$flag){
		login_error();
	}

//---------------------------------------------------------------------------------//
//　　登録作業
//　　　　エラー処理
//---------------------------------------------------------------------------------//

/*
エラー表

１）空欄系●
　１－１）公演名が空欄●
　１－２）ステージ設定がされていない●
　１－３）日付に未記入欄有●
　１－４）金額が一つもない●

２）文字入力系
　２－１）日付・時間が数字でない●
　２－２）日付・時間として可笑しい
　２－３）金額が数字でない●
　２－４）金額としておかしい●
*/


//エラー（１－１）公演名が空欄/スペースのみの公演名

	$title=mb_convert_kana($title,"s");
	$title=trim($title);

	if(!strlen($title)){
		$error_msg[] = "【公演名】公演名の入力がありません。<br>\n";

//エラー（２－５）公演名にカンマを使用
	}else if(preg_match("/,/",$title)){
		$error_msg[] = "【公演名】記号“,”(カンマ)は使用できません<br>\n";
	}


//エラー（１－２）ステージが１つも登録されていない
	if(!strlen($stage_count)){
		$error_msg[] = "【ステージ】ステージの設定がされていません。<br>\n";
	}

//エラー（１－３）日時に未記入欄有
	for($i=0; $i<$stage_count; $i++){
		if(!strlen($stage_year[$i]) || !strlen($stage_month[$i]) || !strlen($stage_day[$i]) || !strlen($stage_hour[$i]) || !strlen($stage_minutes[$i])){
			$error_msg[] = "【日時】日時に未記入欄があります。<br>\n";
			break;

//エラー（２－１）日付・時間が数字でない
		}else if(!is_numeric($stage_year[$i]) || !is_numeric($stage_month[$i]) || !is_numeric($stage_day[$i]) || !is_numeric($stage_hour[$i]) || !is_numeric($stage_minutes[$i])){
				$error_msg[] = "【日付】日付・時間は半角数字で入力してください。<br>\n";
		}else{

//エラー（２－２）日付・時間として可笑しい
			$year="20".$stage_year[$i];
			$month = $stage_month[$i];
			$day=$stage_day[$i];

			if(!checkdate($month,$day,$year)){
				$error_msg[] = "【日時】日時として正しくありません。<br>\n";
				break;
			}

			if($stage_hour[$i]>24 || $stage_minutes[$i]>=60){
				$error_msg[] = "【日時】日時として正しくありません。<br>\n";
				break;
			}
		}

	}

//エラー（１－４）金額の設定が１つもされていない
	if(!strlen($price1) && !strlen($price2) && !isset($syoutai) && !isset($sonota)){
		$error_msg[] = "【金額】金額の設定が一つもされていません。<br>\n";
	}

//エラー（２－３）金額が数字でない
	if(strlen($price1)){
		if(!is_numeric($price1)){
			$error_msg[] = "【金額１】金額は半角数字で入力してください。<br>\n";
		}
	}
	if(strlen($price2)){
		if(!is_numeric($price2)){
			$error_msg[] = "【金額２】金額は半角数字で入力してください。<br>\n";
		}
	}

//エラー（２－４）金額としておかしい：１００円以上１万円以下ということに。
	if(strlen($price1)){
		if($price1>10000 || $price1<100){
			$error_msg[] = "【金額１】金額は１００円～１００００円の間で設定してください。<br>\n";
		}
	}
	if(strlen($price2)){
		if($price2>10000 || $price2<100){
			$error_msg[] = "【金額２】金額は１００円～１００００円の間で設定してください。<br>\n";
		}
	}



//---------------------------------------------------------------------------------//
//　　登録作業
//　　　　仮登録～確認へ
//---------------------------------------------------------------------------------//

//エラーがなければ登録
if(count($error_msg) == 0){


//書き込むファイルは仮のファイル。一時保存用

	$temporaryFile="kouen_tmp.csv";

	//（一時保存用ファイルがあれば消して、）新しく作る
	$tmp_flag=false;
	foreach (glob("kouen_tmp.csv") as $filename) {
		$tmp_flag=true;
	}
	if($tmp_flag){
		unlink("$temporaryFile");
	}

	touch("$temporaryFile");


//書き込み開始
//公演名の登録

	kouen_post("title",$title);

//日付の登録

	for($i=0; $i<$stage_count; $i++){

			$week[$i]=get_week($stage_year[$i],$stage_month[$i],$stage_day[$i]);

			$stage_set = $stage_year[$i]."/".$stage_month[$i]."/".$stage_day[$i]."(".$week[$i].") ".$stage_hour[$i].":".$stage_minutes[$i];

			kouen_post("stage",$stage_set);

	}


	$mark = "price";

	//欄１・欄２に記入があったらポストする
		if(strlen($price1)){
			kouen_post($mark,$price1);
		}
		if(strlen($price2)){
			kouen_post($mark,$price2);
		}

	//招待・その他欄にチェックされてたらポストする
		if(isset($syoutai)){
			kouen_post($mark,"招待");
		}
		if(isset($sonota)){
			kouen_post($mark,"その他");
		}

	//モバイルは始めはオフ
		kouen_post("mobile","off");
}

//
function get_week($year,$month,$day){
	$year="20".$year;

	$wday = array( '日', '月', '火', '水', '木', '金', '土' );
	$date = getdate(mktime(0, 0, 0,  $month, $day, $year));
	return $wday[$date['wday']];
}


//---------------------------------------------------------------------------------//
//　　【処理・関数】公演情報をテンポラリファイルに書き込む
//---------------------------------------------------------------------------------//


function kouen_post($mark,$value){

	$temporaryFile="kouen_tmp.csv";

	$file = fopen($temporaryFile,"a");
	flock($file, LOCK_EX);

		$posted = compact("mark","value");
		$data = implode(",", $posted);

		fputs($file, $data."\n");

	flock($file, LOCK_UN);
	fclose($file);
}


//<!--出力-->


//---------------------------------------------------------------------------------//
//　　エラー表示
//---------------------------------------------------------------------------------//

if(count($error_msg) != 0){

	print "<h3>ERROR!!</h3>\n";
	print "<span class=error>\n";
	for($i = 0; $i < count($error_msg); $i++) {
		print "　".$error_msg[$i];
	}
	print "</span>\n";
	print "<br><a href=\"jimu_kouen_new.php\">戻る</a><br>\n";
	

//---------------------------------------------------------------------------------//
//　　確認表示
//---------------------------------------------------------------------------------//
}else{

	print "以下の内容で登録してよろしいですか？<br><br>\n";

	print "<table>\n";
	print "<tr><td>公演名</td><td>".$title."</td></tr>\n";
	print "<tr><td>公演数</td><td>".$stage_count."</td></tr>\n";

	for($i=0; $i<$stage_count; $i++){

		$stage_set = "20".$stage_year[$i]."年".$stage_month[$i]."月".$stage_day[$i]."日(".$week[$i].") ".$stage_hour[$i]."：".$stage_minutes[$i]."開演";

			print "<tr><td></td><td>".$stage_set."</td></tr>\n";
	}

	print "<tr><td>金額</td>";

	$p_flag=false;

	if(strlen($price1)){
		print "<td>前売り：".$price1."</td></tr>";
		$p_flag=true;
	}
	if(strlen($price2)){
		if($p_flag){//前売り入力があった場合
			print "<tr><td></td><td>当日：".$price2."</td></tr>";
		}else{
			print "<td>当日：".$price2."</td></tr>";
			$p_flag=true;
		}
	}
	if(isset($syoutai)){
		if($p_flag){
			print "<tr><td></td><td>招待チェック欄</td></tr>";
		}else{
			print "<td>招待チェック欄</td></tr>";
			$p_flag=true;
		}
	}
	if(isset($sonota)){
		if($p_flag){
			print "<tr><td></td><td>記入欄</td></tr>";
		}else{
			print "<td>記入欄</td></tr>";
		}
	}

		print "</tr></table>";

		print "<br>\n";

		print "<h4>●この内容でよろしいですか？</h4>\n";

		print "<form method=\"post\" action=\"jimu_kouen_result.php\">\n";
			print "<input type=\"submit\" name=\"entry_ok\" value=\"はい、登録します\"><br>\n";
		print "</form>\n";

		print "<form method=\"post\" action=\"jimu_kouen_new.php\">\n";
			print "<input type=\"submit\" name=\"entry_no\" value=\"いいえ、設定しなおします\"><br>\n";
		print "</form>\n";




}//エラーが起きていない際の登録作業終了
?>
<br><br><br>



</body>
</html>