<!--
	user_login.php
	ユーザー用　パスワード変更完了画面
	author: Nina Kono
	history: 
		2008/01/04 河野 第1版作成
-->

<!-- ライブラリ読込 -->

<?php
	include './user_function.php';
?>

<!-- 入力 -->
<?php

	$login_id = $_POST["id"];
	$pass_first = $_POST["first"];
	$pass_second = $_POST["second"];

?>

<!-- 処理 -->
<?php

	// IDチェック
	check_id($login_id);

	// 入力エラーチェック
	$pass_null = check_pass_null($pass_first, $pass_second);
	$pass_miss = check_pass_miss($pass_first, $pass_second);
	$pass_kanma = check_pass_kanma($pass_first, $pass_second);
	$pass_short = check_pass_short($pass_first, $pass_second);

	// ファイル名
	$filename = "user_pass";


	// ID番号取得
	$id_num = get_id($filename, $login_id, $pass_first, $pass_second);
	
	//パスワード変更
	
	if (!$pass_null && !$pass_miss && !$pass_kanma && !$pass_short) {
		change_pass($filename, $id_num, $login_id, $pass_first);
	}
	
	
?>

<!-- 処理(関数) -->
<?php

///////////////////ID番号取得//////////////////////////////////

function get_id($filename, $login_id, $pass_first, $pass_second) { 
	
	$file = $filename.".csv";
	
	// 投稿を保存したファイルを開く
	$file = fopen($file, "r");

	$id_num = 0;
	while($line = fgetcsv($file, 1000, ",")) {
		list($staff, $id, $password) = $line;
		if ($login_id == $id) {
			break;
		}
		$id_num++;
	}

	//ファイルを閉じる
	fclose($file);
	
	return $id_num;
}

////////////////////入力チェック//////////////////////////

function check_pass_null($pass_first, $pass_second) {
	$pass_first = mb_convert_kana($pass_first, "s");	// 全角空白を半角に
	$pass_first = trim($pass_first);	//空欄を除外する
	$pass_second = mb_convert_kana($pass_second, "s");	// 全角空白を半角に
	$pass_second = trim($pass_second);	//空欄を除外する
	
	if ($pass_first == "" || $pass_second == "") {
		return true;
	} else {
		return false;
	}
}
 
///////////////////入力間違いチェック///////////////////////

function check_pass_miss($pass_first, $pass_second) {

	if ($pass_first != $pass_second) {
		return true;
	} else {
		return false;
	}
}	

///////////////////カンマチェック/////////////////////////////

function check_pass_kanma($pass_first, $pass_second) {	
	if(preg_match("/,/",$pass_first) || preg_match("/,/",$pass_second)){
		return true;
	} else {
		return false;
	}
}	

//////////////////文字数チェック/////////////////////////////

function check_pass_short($pass_first, $pass_second) {
	if(strlen($pass_first) < 4 || strlen($pass_second) < 4) {
		return true;
	} else {
		return false;
	}
}

///////////////////パスワード変更////////////////////////////

function change_pass($filename, $id_num, $login_id, $pass_first) {

	// 一時ファイルを作る
	$tmp_filename = $filename."_tmp.csv";
	$filename = $filename.".csv";
	
	$fp_old = fopen($filename, "r");
	$fp_new = fopen($tmp_filename, "w");
	flock($fp_new, LOCK_EX); // ファイルロック


	$count = 0;
	while($line = fgetcsv($fp_old, 1000, ",")) {
		if ($count != $id_num) {
			list($staff, $id, $pass) = $line;
			$posted = compact("staff", "id", "pass");
			$data = implode(",", $posted);
			fputs($fp_new, $data."\n");	
		} else if ($count == $id_num) {
			list($staff, $id, $pass) = $line;
			$posted = compact("staff", "login_id", "pass_first");
			$data = implode(",", $posted);
			fputs($fp_new, $data."\n");	
		}
		$count++;
	}

	flock($fp_new, LOCK_UN); // ロック解除
	fclose($fp_new);
	fclose($fp_old);

	// 新しいファイルの内容を古いファイルに写す
	unlink("$filename");
	touch("$filename");
	copy("$tmp_filename", "$filename");
}



?>

<!-- 出力 -->



<?php
	// HTMLヘッダーをセット
	set_header("団員用パスワード変更完了画面", $login_id);

	// フォントを決める
	set_font(1, black);

	// 表示
	print_changepass_result($login_id, $pass_null, $pass_miss, $pass_kanma, $pass_short);
	
	// リンクボタン
	link_ticket_list($login_id);
	link_ticket_new($login_id);
	link_logout();
?>

<!-- 関数(出力) -->

<?php

function print_changepass_result($login_id, $pass_null, $pass_miss, $pass_kanma, $pass_short) {
	
	// パスワードが空欄の場合
	if ($pass_null) {
		print"パスワードの入力がありません<br>
			　もう一度入力をお願いします";
			
		link_changepassward($login_id);
		die();
	}
	
	// パスワードが間違っている場合
	if ($pass_miss) {
		print "パスワードの入力が違います<br>
			   もう一度入力をお願いします";
		
		link_changepassward($login_id);
		die();
	}
	
	// パスワードにカンマが入っている場合
	if ($pass_kanma) {
		print "パスワードにカンマ(,)は使えません<br>
			   もう一度入力をお願いします";
		
		link_changepassward($login_id);
		die();
	}
	
	// パスワードが４文字未満の場合
	if ($pass_short) {
		print "パスワードは４文字以上でお願いします<br>";
		
		link_changepassward($login_id);
		die();
	}
	
 	// 正常に変更された場合
	print "<font size='2'>パスワードを変更しました";
}

?>
