<!--
	user_ticket_change_kakunin.php
	ユーザー用　予約変更確認画面
	author: Nina Kono
	history: 
		2008/01/04 河野 第1版作成
-->

<!-- ライブラリ読込 -->

<?php
	include './user_function.php';
	include './user_ticket_decide.php';
?>

<!-- 入力 -->

<?php
	$posted_id = $_POST["id"];	// ID
?>

<!-- 処理 -->

<?php


	/////////////// エラーチェック/////////////////////////////////////////////////////////////////////

	$error = 0; // なしがゼロ
	$error_message = "";	// エラーメッセージ
	


	// エラー処理①名前が入力されてなかったら
	$customer = $_POST["customer"];
	$customer = mb_convert_kana($customer, "s");	// 全角空白を半角に
	$customer = trim($customer);	//空欄を除外する
	
	if ($customer == "") {
		$error_message = $error_message."※名前を入力して下さい<br><br>";
		$error = 1;	// エラーカウントを1にする
	}
	
	// エラー処理②名前にカンマが入ってたら
	if(preg_match("/,/",$_POST["customer"])){
		$error_message = $error_message."※カンマ(,)は使えません<br><br>";
		$error = 1;	// エラーカウントを1にする
	}
	

	// エラー処理③同姓の登録があったら
	$fileName = "./ticket/".$_POST["id"].".csv";	// ログファイル名
	
	// 投稿を保存したファイルを開く
	$file = fopen($fileName, "r");

	// 投稿を読み込む
	$count = 0;
	while($line = fgetcsv($file, 1000, ",")) {

		list($staff, $name, $maisuu, $kounyuu, $date, $date_mitei, $kingaku, $time, $bikou) = $line;

		// 今までと同じ名前はもちろんOK
		if ($count != $_POST["change"]) {

			if ($name == $_POST["customer"]) {
			
				$error_message = $error_message."※以前に同姓の登録があります。<br>
								名前の最初の文字まで入力をしてください。<br><br>";
				$error = 1;	// エラーカウントを１にする
				break;
			}
		}
		$count++;
	}
	//ファイルを閉じる
	fclose($file);

	// エラー処理④枚数が半角数字で、０以上の正の整数でなかったら
	$maisuu_nyuuryoku = trim($_POST["maisuu_nyuuryoku"]);	// 空欄を除外
	
	if ($maisuu_nyuuryoku != "") {
		// 半角数字じゃなかったら
		if (!preg_match("/^[0-9]+$/",$maisuu_nyuuryoku) || $maisuu_nyuuryoku <= 0) {
			$error_message = $error_message."※枚数は半角数字の０以上の整数で入力して下さい<br><br>";
			$error = 1;
		}
	}	
	
	// エラー処理⑤金額が半角数字の正の整数でなかったら
	$kingaku_nyuuryoku = trim($_POST["kingaku_nyuuryoku"]); 	// 空欄を除外
	
	if ($kingaku_nyuuryoku != "") {
		// 半角数字じゃなかったら
		if (!preg_match("/^[0-9]+$/",$kingaku_nyuuryoku) || $kingaku_nyuuryoku < 0) {
			$error_message = $error_message."※金額は半角数字の正の整数で入力して下さい<br><br>";
			$error = 1;
		}
	}		
	
	// エラー処理⑥金額の選択も入力もなかったら
	if ($_POST["kingaku"] == null && $_POST["kingaku_nyuuryoku"] == null) {
			$error_message = $error_message."※金額を選択・または入力してください。<br><br>";
		$error = 1;
	}
		

	// エラー処理⑦備考にカンマが入ってたら
	if(preg_match("/,/",$_POST["bikou"])){
		$error_message = $error_message."※備考にカンマ(,)は使えません<br><br>";
		$error = 1;	// エラーカウントを1にする
	}


?>

<!-- 出力 -->


<?php
	// HTMLヘッダーをセット
	set_header("団員用チケット変更確認画面", $posted_id);

	// フォントを決める
	set_font(1, black);

	// 表示
	print_kakunin($error, $error_message, $customer, $maisuu_nyuuryoku, $kingaku_nyuuryoku);
	
	
	// リンク
	
	link_ticket_change($_POST["id"], $_POST["change"]);
?>



</center>
</body>
</html>

<!-- 関数（出力用）-->

<?php
	
	// 表示
	function print_kakunin($error, $error_message, $customer, $maisuu_nyuuryoku, $kingaku_nyuuryoku) {
		// エラーが有る場合
		if ($error == 1) {
			print $error_message;
			link_ticket_change($_POST["id"], $_POST["change"]);
			
			die;
		// おかしなエラー
		} else if ($error != 0) {
			print "エラー ：１１５";
			die;
		}


		// エラーがなければ確認内容を表示する
		if ($error == 0) {

	
			// 名前はそのまま
		
			//枚数
			$ticket_num_file = decide_ticket_num_file($_POST["maisuu"], $maisuu_nyuuryoku);
			$ticket_num_print = decide_ticket_num_print($_POST["maisuu"], $maisuu_nyuuryoku);
		
			// 購入方法
			$kounyuu = $_POST["kounyuu"];

			// 日付の設定
			$date_file = $_POST["date"];
			$date_mitei_file = $_POST["date_mitei"];
			$date_print = decide_date_print($date_file, $date_mitei_file);

			// 金額
			$price_file = decide_price_file($_POST["kingaku"], $kingaku_nyuuryoku);
			$price_print = decide_price_print($_POST["kingaku"], $kingaku_nyuuryoku);

			// 備考
			$bikou = $_POST["bikou"];
	

		

			//確認内容を表示する
			print
				$customer."様<br>
		　　	".$ticket_num_print."<br>
		　　	".$kounyuu."<br>
		　　	".$date_print."<br>
		　　	".$price_print."<br>
		　　	".$bikou."<br>
			<br>
			この内容に変更して<br>
			よろしいですか？<br><br>

			<center>
		
			<form method='POST' action ='./user_ticket_change_result.php'>

			<input type='hidden' name='id' value='".$_POST["id"]."'>
			<input type='hidden' name='change' value='".$_POST["change"]."'>
			<input type='hidden' name='customer' value='".$customer."'>
			<input type='hidden' name='ticket_num' value='".$ticket_num_file."'>
			<input type='hidden' name='method' value='".$kounyuu."'>
			<input type='hidden' name='date' value='". $date_file."'>
			<input type='hidden' name='date_mitei' value='".$date_mitei_file."'>
			<input type='hidden' name='price' value='".$price_file."'>
			<input type='hidden' name='bikou' value='".$bikou."'>
			<input type='submit' name='post' value='変更'>

			</form>";

		}
	}

?>
